/*
    YAM - Yet Another Mod player
    Copyright 2001, 2002 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU Lesser General Public License as
    published by the Free Software Foundation; either version 2 of the
    License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Martin Storsj
    martin@martin.st
*/

#ifndef __MODFILE_H
#define __MODFILE_H

#include <stdio.h>

typedef struct {
	char *name;
	int length;
	char finetune;
	signed char volume;
	int loopStart;
	int loopLength;
	signed char *data;
} sample;

typedef struct {
	short tone;
	unsigned char sample;
	unsigned char effect;
	short parameter;
} note;

int toneToAmiga(int tone);
int toFreq(int amiga);

class ModFile {
	public:
		ModFile(FILE *in);
		~ModFile(void);
		char *name;
		int numSamples;
		sample *samples;
		int songLength;
		int channels;
		unsigned char *orders;
		note *patterns;
};

#endif
